/[pcsx2_0.9.7]/auto_prebuild_latest_upstream.sh
ViewVC logotype

Diff of /auto_prebuild_latest_upstream.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

--- auto_prebuild_latest_upstream.sh	2010/09/10 13:19:26	134
+++ auto_prebuild_latest_upstream.sh	2010/09/10 15:59:59	144
@@ -27,11 +27,10 @@
 #svn export --force "$downstream_export_location/trunk" "$VSC_PROJECT_ROOT" 2>/dev/null
 
 cd "$downstream_export_location/trunk/"
-tar -cvf - --exclude=*.ncb . 2>/dev/null | (gzip -cf9 - 2>/dev/null ) | (cd "$VSC_PROJECT_ROOT"; tar -xvzf - 2>/dev/null) &>/dev/null && echo "done." || echo "failed."
+tar -cvf - --exclude=*.ncb . 2>/dev/null | (gzip -cf9 - 2>/dev/null ) | (cd "$VSC_PROJECT_ROOT"; tar -xvzf - 2>/dev/null) &>/dev/null && echo "done." || exit 1
 
 cd "$VSC_PROJECT_ROOT"
 # remove all .pch files
 find -name *.pch -exec rm -f {} \;
 echo "PREBUILD COMPLETED..."
-AUTO_PREBUILD_DONE="true"
 echo

 

  ViewVC Help
Powered by ViewVC 1.1.22